Unit h_stdct;
Interface
Uses Delphin, STDCTRLS,Controls,Classes;
Implementation
{--------------------}
function myTGROUPBOXCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=ObjToVar(TCUSTOMGROUPBOX(slf).CREATE(TComponent(VarTOObj(S[0]))));
End;
{--------------------}

function myTCUSTOMLABELCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=ObjToVar(TCUSTOMLABEL(slf).CREATE(TComponent(VarTOObj(S[0]))));
End;

Function TLABELget_ALIGNMENT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TLABEL(slf).ALIGNMENT;
End;

Function TLABELset_ALIGNMENT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TLABEL(slf).ALIGNMENT:=S[0];
End;
{--------------------}
Function TLABELget_AUTOSIZE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TLABEL(slf).AUTOSIZE;
End;

Function TLABELset_AUTOSIZE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TLABEL(slf).AUTOSIZE:=S[0];
End;
{--------------------}
Function TLABELget_FOCUSCONTROL(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := ObjToVar(TLABEL(slf).FOCUSCONTROL);
End;

Function TLABELset_FOCUSCONTROL(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TLABEL(slf).FOCUSCONTROL:=TWincontrol(VarToObj(S[0]));
End;
{--------------------}
Function TLABELget_SHOWACCELCHAR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TLABEL(slf).SHOWACCELCHAR;
End;

Function TLABELset_SHOWACCELCHAR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TLABEL(slf).SHOWACCELCHAR:=S[0];
End;
{--------------------}
Function TLABELget_TRANSPARENT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TLABEL(slf).TRANSPARENT;
End;

Function TLABELset_TRANSPARENT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TLABEL(slf).TRANSPARENT:=S[0];
End;
{--------------------}
Function TLABELget_WORDWRAP(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TLABEL(slf).WORDWRAP;
End;

Function TLABELset_WORDWRAP(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TLABEL(slf).WORDWRAP:=S[0];
End;
{--------------------}
function myTCUSTOMEDITCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=ObjToVar(TCUSTOMEDIT(slf).CREATE(TComponent(VarToObj(S[0]))));
End;
{--------------------}
function myTCUSTOMEDITCLEAR(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 TCUSTOMEDIT(slf).CLEAR;
End;
{--------------------}
function myTCUSTOMEDITCLEARSELECTION(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 TCUSTOMEDIT(slf).CLEARSELECTION;
End;
{--------------------}
function myTCUSTOMEDITCOPYTOCLIPBOARD(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 TCUSTOMEDIT(slf).COPYTOCLIPBOARD;
End;
{--------------------}
function myTCUSTOMEDITCUTTOCLIPBOARD(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 TCUSTOMEDIT(slf).CUTTOCLIPBOARD;
End;
{--------------------}
function myTCUSTOMEDITPASTEFROMCLIPBOARD(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 TCUSTOMEDIT(slf).PASTEFROMCLIPBOARD;
End;
{--------------------}
{function myTCUSTOMEDITGETSELTEXTBUF(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
Result := TCUSTOMEDIT(slf).GETSELTEXTBUF(S[0],S[1]);
End;}
{--------------------}
function myTCUSTOMEDITSELECTALL(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 TCUSTOMEDIT(slf).SELECTALL;
End;
{--------------------}
{function myTCUSTOMEDITSETSELTEXTBUF(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
TCUSTOMEDIT(slf).SETSELTEXTBUF(S[0]);
End;}
{--------------------}
Function TCUSTOMEDITget_MODIFIED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCUSTOMEDIT(slf).MODIFIED;
End;

Function TCUSTOMEDITset_MODIFIED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCUSTOMEDIT(slf).MODIFIED:=S[0];
End;
{--------------------}
Function TCUSTOMEDITget_SELLENGTH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCUSTOMEDIT(slf).SELLENGTH;
End;

Function TCUSTOMEDITset_SELLENGTH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCUSTOMEDIT(slf).SELLENGTH:=S[0];
End;
{--------------------}
Function TCUSTOMEDITget_SELSTART(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCUSTOMEDIT(slf).SELSTART;
End;

Function TCUSTOMEDITset_SELSTART(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCUSTOMEDIT(slf).SELSTART:=S[0];
End;
{--------------------}
Function TCUSTOMEDITget_SELTEXT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCUSTOMEDIT(slf).SELTEXT;
End;

Function TCUSTOMEDITset_SELTEXT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCUSTOMEDIT(slf).SELTEXT:=S[0];
End;
Function TEDITget_AUTOSELECT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TEDIT(slf).AUTOSELECT;
End;

Function TEDITset_AUTOSELECT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TEDIT(slf).AUTOSELECT:=S[0];
End;
{--------------------}
Function TEDITget_AUTOSIZE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TEDIT(slf).AUTOSIZE;
End;

Function TEDITset_AUTOSIZE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TEDIT(slf).AUTOSIZE:=S[0];
End;
{--------------------}
Function TEDITget_BORDERSTYLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TEDIT(slf).BORDERSTYLE;
End;

Function TEDITset_BORDERSTYLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TEDIT(slf).BORDERSTYLE:=S[0];
End;
{--------------------}
Function TEDITget_CHARCASE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TEDIT(slf).CHARCASE;
End;

Function TEDITset_CHARCASE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TEDIT(slf).CHARCASE:=S[0];
End;
{--------------------}
Function TEDITget_HIDESELECTION(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TEDIT(slf).HIDESELECTION;
End;

Function TEDITset_HIDESELECTION(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TEDIT(slf).HIDESELECTION:=S[0];
End;
{--------------------}
Function TEDITget_MAXLENGTH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TEDIT(slf).MAXLENGTH;
End;

Function TEDITset_MAXLENGTH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TEDIT(slf).MAXLENGTH:=S[0];
End;
{--------------------}
Function TEDITget_OEMCONVERT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TEDIT(slf).OEMCONVERT;
End;

Function TEDITset_OEMCONVERT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TEDIT(slf).OEMCONVERT:=S[0];
End;
{--------------------}
Function TEDITget_PASSWORDCHAR(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TEDIT(slf).PASSWORDCHAR;
End;

Function TEDITset_PASSWORDCHAR(slf:TObject;var APropName:String;var s:array of variant):variant;
var St : String;
Begin
St:=S[0];
TEDIT(slf).PASSWORDCHAR:=St[1];
End;
{--------------------}
Function TEDITget_READONLY(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TEDIT(slf).READONLY;
End;

Function TEDITset_READONLY(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TEDIT(slf).READONLY:=S[0];
End;

function myTCUSTOMMEMOCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=ObjToVar(TCUSTOMMEMO(slf).CREATE(TComponent(VarToObj(S[0]))));
End;
{--------------------}
Function TCUSTOMMEMOget_LINES(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result :=ObjToVar( TCUSTOMMEMO(slf).LINES);
End;

Function TCUSTOMMEMOset_LINES(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCUSTOMMEMO(slf).LINES:=TStrings(VarToObj(S[0]));
End;
{--------------------}
Function TMEMOget_ALIGNMENT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TMEMO(slf).ALIGNMENT;
End;

Function TMEMOset_ALIGNMENT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TMEMO(slf).ALIGNMENT:=S[0];
End;
{--------------------}
Function TMEMOget_SCROLLBARS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TMEMO(slf).SCROLLBARS;
End;

Function TMEMOset_SCROLLBARS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TMEMO(slf).SCROLLBARS:=S[0];
End;
{--------------------}
Function TMEMOget_TABORDER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TMEMO(slf).TABORDER;
End;

Function TMEMOset_TABORDER(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TMEMO(slf).TABORDER:=S[0];
End;
{--------------------}
Function TMEMOget_TABSTOP(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TMEMO(slf).TABSTOP;
End;

Function TMEMOset_TABSTOP(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TMEMO(slf).TABSTOP:=S[0];
End;
{--------------------}
Function TMEMOget_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TMEMO(slf).VISIBLE;
End;

Function TMEMOset_VISIBLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TMEMO(slf).VISIBLE:=S[0];
End;
{--------------------}
Function TMEMOget_WANTRETURNS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TMEMO(slf).WANTRETURNS;
End;

Function TMEMOset_WANTRETURNS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TMEMO(slf).WANTRETURNS:=S[0];
End;
{--------------------}
Function TMEMOget_WANTTABS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TMEMO(slf).WANTTABS;
End;

Function TMEMOset_WANTTABS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TMEMO(slf).WANTTABS:=S[0];
End;
{--------------------}
Function TMEMOget_WORDWRAP(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TMEMO(slf).WORDWRAP;
End;

Function TMEMOset_WORDWRAP(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TMEMO(slf).WORDWRAP:=S[0];
End;
{--------------------}

function myTCUSTOMCOMBOBOXCLEAR(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 TCUSTOMCOMBOBOX(slf).CLEAR;
End;
{--------------------}
function myTCUSTOMCOMBOBOXSELECTALL(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 TCUSTOMCOMBOBOX(slf).SELECTALL;
End;
{--------------------}
{--------------------}
Function TCUSTOMCOMBOBOXget_DROPPEDDOWN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCUSTOMCOMBOBOX(slf).DROPPEDDOWN;
End;

Function TCUSTOMCOMBOBOXset_DROPPEDDOWN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCUSTOMCOMBOBOX(slf).DROPPEDDOWN:=S[0];
End;
{--------------------}
Function TCUSTOMCOMBOBOXget_ITEMS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := ObjToVar(TCUSTOMCOMBOBOX(slf).ITEMS);
End;

Function TCUSTOMCOMBOBOXset_ITEMS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCUSTOMCOMBOBOX(slf).ITEMS:=TStrings(VarToObj(S[0]));
End;
{--------------------}
Function TCUSTOMCOMBOBOXget_ITEMINDEX(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCUSTOMCOMBOBOX(slf).ITEMINDEX;
End;

Function TCUSTOMCOMBOBOXset_ITEMINDEX(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCUSTOMCOMBOBOX(slf).ITEMINDEX:=S[0];
End;
{--------------------}
Function TCUSTOMCOMBOBOXget_SELLENGTH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCUSTOMCOMBOBOX(slf).SELLENGTH;
End;

Function TCUSTOMCOMBOBOXset_SELLENGTH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCUSTOMCOMBOBOX(slf).SELLENGTH:=S[0];
End;
{--------------------}
Function TCUSTOMCOMBOBOXget_SELSTART(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCUSTOMCOMBOBOX(slf).SELSTART;
End;

Function TCUSTOMCOMBOBOXset_SELSTART(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCUSTOMCOMBOBOX(slf).SELSTART:=S[0];
End;
{--------------------}
Function TCUSTOMCOMBOBOXget_SELTEXT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCUSTOMCOMBOBOX(slf).SELTEXT;
End;

Function TCUSTOMCOMBOBOXset_SELTEXT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCUSTOMCOMBOBOX(slf).SELTEXT:=S[0];
End;
{--------------------}
Function TCOMBOBOXget_MAXLENGTH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCOMBOBOX(slf).MAXLENGTH;
End;

Function TCOMBOBOXset_MAXLENGTH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCOMBOBOX(slf).MAXLENGTH:=S[0];
End;

Function TCOMBOBOXget_SORTED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCOMBOBOX(slf).SORTED;
End;

Function TCOMBOBOXset_SORTED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCOMBOBOX(slf).SORTED:=S[0];
End;
{--------------------}

Function TCOMBOBOXget_STYLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCOMBOBOX(slf).STYLE;
End;

Function TCOMBOBOXset_STYLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCOMBOBOX(slf).STYLE:=S[0];
End;
{--------------------}
Function TCOMBOBOXget_DROPDOWNCOUNT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCOMBOBOX(slf).DROPDOWNCOUNT;
End;

Function TCOMBOBOXset_DROPDOWNCOUNT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCOMBOBOX(slf).DROPDOWNCOUNT:=S[0];
End;
{--------------------}
Function TCOMBOBOXget_ITEMHEIGHT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCOMBOBOX(slf).ITEMHEIGHT;
End;

Function TCOMBOBOXset_ITEMHEIGHT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCOMBOBOX(slf).ITEMHEIGHT:=S[0];
End;
{--------------------}
function myTBUTTONCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=ObjToVar(TBUTTON(slf).CREATE(TComponent(VarToObj(S[0]))));
End;
{--------------------}
function myTBUTTONCLICK(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 TBUTTON(slf).CLICK;
End;
{--------------------}
Function TBUTTONget_CANCEL(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TBUTTON(slf).CANCEL;
End;

Function TBUTTONset_CANCEL(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TBUTTON(slf).CANCEL:=S[0];
End;
{--------------------}
Function TBUTTONget_CAPTION(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TBUTTON(slf).CAPTION;
End;

Function TBUTTONset_CAPTION(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TBUTTON(slf).CAPTION:=S[0];
End;
{--------------------}
Function TBUTTONget_DEFAULT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TBUTTON(slf).DEFAULT;
End;

Function TBUTTONset_DEFAULT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TBUTTON(slf).DEFAULT:=S[0];
End;
{--------------------}
Function TBUTTONget_MODALRESULT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TBUTTON(slf).MODALRESULT;
End;

Function TBUTTONset_MODALRESULT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TBUTTON(slf).MODALRESULT:=S[0];
End;
{--------------------}

Function TCHECKBOXget_ALIGNMENT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCHECKBOX(slf).ALIGNMENT;
End;

Function TCHECKBOXset_ALIGNMENT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCHECKBOX(slf).ALIGNMENT:=S[0];
End;
Function TCHECKBOXget_ALLOWGRAYED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCHECKBOX(slf).ALLOWGRAYED;
End;

Function TCHECKBOXset_ALLOWGRAYED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCHECKBOX(slf).ALLOWGRAYED:=S[0];
End;
Function TCHECKBOXget_CHECKED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCHECKBOX(slf).CHECKED;
End;

Function TCHECKBOXset_CHECKED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCHECKBOX(slf).CHECKED:=S[0];
End;

Function TCHECKBOXget_STATE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCHECKBOX(slf).STATE;
End;

Function TCHECKBOXset_STATE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCHECKBOX(slf).STATE:=S[0];
End;
{--------------------}
function myTRADIOBUTTONCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=ObjToVar(TRADIOBUTTON(slf).CREATE(TComponent(VarToObj(S[0]))));
End;
{--------------------}
Function TRADIOBUTTONget_ALIGNMENT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TRADIOBUTTON(slf).ALIGNMENT;
End;

Function TRADIOBUTTONset_ALIGNMENT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOBUTTON(slf).ALIGNMENT:=S[0];
End;
{--------------------}
Function TRADIOBUTTONget_CHECKED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TRADIOBUTTON(slf).CHECKED;
End;

Function TRADIOBUTTONset_CHECKED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TRADIOBUTTON(slf).CHECKED:=S[0];
End;
{--------------------}
function myTCUSTOMLISTBOXCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=ObjToVar(TCUSTOMLISTBOX(slf).CREATE(TComponent(VarToObj(S[0]))));
End;
{--------------------}
function myTCUSTOMLISTBOXCLEAR(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 TCUSTOMLISTBOX(slf).CLEAR;
End;
{--------------------}
{function myTCUSTOMLISTBOXITEMATPOS(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result := TCUSTOMLISTBOX(slf).ITEMATPOS(S[0],S[1]);  TPoint
End;}
{--------------------}
{function myTCUSTOMLISTBOXITEMRECT(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result := TCUSTOMLISTBOX(slf).ITEMRECT(S[0]);
End;}
{--------------------}
Function TCUSTOMLISTBOXget_ITEMS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := ObjToVar(TCUSTOMLISTBOX(slf).ITEMS);
End;

Function TCUSTOMLISTBOXset_ITEMS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCUSTOMLISTBOX(slf).ITEMS:=TStrings(VarToObj(S[0]));
End;
{--------------------}
Function TCUSTOMLISTBOXget_ITEMINDEX(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCUSTOMLISTBOX(slf).ITEMINDEX;
End;

Function TCUSTOMLISTBOXset_ITEMINDEX(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCUSTOMLISTBOX(slf).ITEMINDEX:=S[0];
End;
{--------------------}
Function TCUSTOMLISTBOXget_SELCOUNT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCUSTOMLISTBOX(slf).SELCOUNT;
End;

{--------------------}
Function TCUSTOMLISTBOXget_TOPINDEX(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TCUSTOMLISTBOX(slf).TOPINDEX;
End;

Function TCUSTOMLISTBOXset_TOPINDEX(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TCUSTOMLISTBOX(slf).TOPINDEX:=S[0];
End;
{--------------------}
Function TLISTBOXget_COLUMNS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TLISTBOX(slf).COLUMNS;
End;

Function TLISTBOXset_COLUMNS(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TLISTBOX(slf).COLUMNS:=S[0];
End;


Function TLISTBOXget_EXTENDEDSELECT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TLISTBOX(slf).EXTENDEDSELECT;
End;

Function TLISTBOXset_EXTENDEDSELECT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TLISTBOX(slf).EXTENDEDSELECT:=S[0];
End;

Function TLISTBOXget_INTEGRALHEIGHT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TLISTBOX(slf).INTEGRALHEIGHT;
End;

Function TLISTBOXset_INTEGRALHEIGHT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TLISTBOX(slf).INTEGRALHEIGHT:=S[0];
End;
{--------------------}
Function TLISTBOXget_ITEMHEIGHT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TLISTBOX(slf).ITEMHEIGHT;
End;

Function TLISTBOXset_ITEMHEIGHT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TLISTBOX(slf).ITEMHEIGHT:=S[0];
End;
{--------------------}
Function TLISTBOXget_MULTISELECT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TLISTBOX(slf).MULTISELECT;
End;

Function TLISTBOXset_MULTISELECT(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TLISTBOX(slf).MULTISELECT:=S[0];
End;
{--------------------}
Function TLISTBOXget_SORTED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TLISTBOX(slf).SORTED;
End;

Function TLISTBOXset_SORTED(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TLISTBOX(slf).SORTED:=S[0];
End;
{--------------------}
Function TLISTBOXget_STYLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TLISTBOX(slf).STYLE;
End;

Function TLISTBOXset_STYLE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TLISTBOX(slf).STYLE:=S[0];
End;
{--------------------}
Function TLISTBOXget_TABWIDTH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TLISTBOX(slf).TABWIDTH;
End;

Function TLISTBOXset_TABWIDTH(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TLISTBOX(slf).TABWIDTH:=S[0];
End;
{--------------------}
function myTSCROLLBARCREATE(slf:TObject;var APropName:String;var s:array of variant):variant;
begin
 Result:=ObjToVar(TSCROLLBAR(slf).CREATE(TComponent(VarToObj(S[0]))));
End;
{--------------------}
Function TSCROLLBARget_KIND(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TSCROLLBAR(slf).KIND;
End;

Function TSCROLLBARset_KIND(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TSCROLLBAR(slf).KIND:=S[0];
End;
{--------------------}
Function TSCROLLBARget_LARGECHANGE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TSCROLLBAR(slf).LARGECHANGE;
End;

Function TSCROLLBARset_LARGECHANGE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TSCROLLBAR(slf).LARGECHANGE:=S[0];
End;
{--------------------}
Function TSCROLLBARget_MAX(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TSCROLLBAR(slf).MAX;
End;

Function TSCROLLBARset_MAX(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TSCROLLBAR(slf).MAX:=S[0];
End;
{--------------------}
Function TSCROLLBARget_MIN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TSCROLLBAR(slf).MIN;
End;

Function TSCROLLBARset_MIN(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TSCROLLBAR(slf).MIN:=S[0];
End;
{--------------------}
Function TSCROLLBARget_POSITION(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TSCROLLBAR(slf).POSITION;
End;

Function TSCROLLBARset_POSITION(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TSCROLLBAR(slf).POSITION:=S[0];
End;
{--------------------}
Function TSCROLLBARget_SMALLCHANGE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
  Result := TSCROLLBAR(slf).SMALLCHANGE;
End;

Function TSCROLLBARset_SMALLCHANGE(slf:TObject;var APropName:String;var s:array of variant):variant;
Begin
TSCROLLBAR(slf).SMALLCHANGE:=S[0];
End;
{--------------------}

procedure StdCtrlsHalInit;
begin
{   AddObjectType('TCUSTOMGROUPBOX','TCUSTOMCONTROL');
   AddObjectType('TGROUPBOX','TCUSTOMGROUPBOX');
   AddObjectType('TCUSTOMLABEL','TWinControl');
   AddObjectType('TLABEL','TCUSTOMLABEL');
   AddObjectType('TCUSTOMEDIT','TWINCONTROL');
   AddObjectType('TEDIT','TCUSTOMEDIT');
   AddObjectType('TCUSTOMMEMO','TCUSTOMEDIT');
   AddObjectType('TMEMO','TCUSTOMMEMO');
   AddObjectType('TCUSTOMCOMBOBOX','TWINCONTROL');
   AddObjectType('TCOMBOBOX','TCUSTOMCOMBOBOX');
   AddObjectType('TBUTTONCONTROL','TWINCONTROL');
   AddObjectType('TBUTTON','TBUTTONCONTROL');
   AddObjectType('TCUSTOMCHECKBOX','TBUTTONCONTROL');
   AddObjectType('TCHECKBOX','TCUSTOMCHECKBOX');
   AddObjectType('TRADIOBUTTON','TBUTTONCONTROL');
   AddObjectType('TCUSTOMLISTBOX','TWINCONTROL');
   AddObjectType('TLISTBOX','TCUSTOMLISTBOX');
   AddObjectType('TSCROLLBAR','TWINCONTROL');}

   AddFun('TGROUPBOX.CREATE',myTGROUPBOXCREATE,[0]);
   AddFun('TCUSTOMLABEL.CREATE',myTCUSTOMLABELCREATE,[0]);
   AddProp('TLABEL.ALIGNMENT',TLABELget_ALIGNMENT,TLABELset_ALIGNMENT);
   AddProp('TLABEL.AUTOSIZE',TLABELget_AUTOSIZE,TLABELset_AUTOSIZE);
   AddProp('TLABEL.FOCUSCONTROL',TLABELget_FOCUSCONTROL,TLABELset_FOCUSCONTROL);
   AddProp('TLABEL.SHOWACCELCHAR',TLABELget_SHOWACCELCHAR,TLABELset_SHOWACCELCHAR);
   AddProp('TLABEL.TRANSPARENT',TLABELget_TRANSPARENT,TLABELset_TRANSPARENT);
   AddProp('TLABEL.WORDWRAP',TLABELget_WORDWRAP,TLABELset_WORDWRAP);
   AddFun('TCUSTOMEDIT.CREATE',myTCUSTOMEDITCREATE,[0]);
   AddProc('TCUSTOMEDIT.CLEAR',myTCUSTOMEDITCLEAR,[2]);
   AddProc('TCUSTOMEDIT.CLEARSELECTION',myTCUSTOMEDITCLEARSELECTION,[2]);
   AddProc('TCUSTOMEDIT.COPYTOCLIPBOARD',myTCUSTOMEDITCOPYTOCLIPBOARD,[2]);
   AddProc('TCUSTOMEDIT.CUTTOCLIPBOARD',myTCUSTOMEDITCUTTOCLIPBOARD,[2]);
   AddProc('TCUSTOMEDIT.PASTEFROMCLIPBOARD',myTCUSTOMEDITPASTEFROMCLIPBOARD,[2]);
{   AddFun('TCUSTOMEDIT.GETSELTEXTBUF',myTCUSTOMEDITGETSELTEXTBUF,[0,0]);}
   AddProc('TCUSTOMEDIT.SELECTALL',myTCUSTOMEDITSELECTALL,[2]);
{   AddProc('TCUSTOMEDIT.SETSELTEXTBUF',myTCUSTOMEDITSETSELTEXTBUF,[0]);}
   AddProp('TCUSTOMEDIT.MODIFIED',TCUSTOMEDITget_MODIFIED,TCUSTOMEDITset_MODIFIED);
   AddProp('TCUSTOMEDIT.SELLENGTH',TCUSTOMEDITget_SELLENGTH,TCUSTOMEDITset_SELLENGTH);
   AddProp('TCUSTOMEDIT.SELSTART',TCUSTOMEDITget_SELSTART,TCUSTOMEDITset_SELSTART);
   AddProp('TCUSTOMEDIT.SELTEXT',TCUSTOMEDITget_SELTEXT,TCUSTOMEDITset_SELTEXT);
   AddProp('TEDIT.AUTOSELECT',TEDITget_AUTOSELECT,TEDITset_AUTOSELECT);
   AddProp('TEDIT.AUTOSIZE',TEDITget_AUTOSIZE,TEDITset_AUTOSIZE);
   AddProp('TEDIT.BORDERSTYLE',TEDITget_BORDERSTYLE,TEDITset_BORDERSTYLE);
   AddProp('TEDIT.CHARCASE',TEDITget_CHARCASE,TEDITset_CHARCASE);
   AddProp('TEDIT.MAXLENGTH',TEDITget_MAXLENGTH,TEDITset_MAXLENGTH);
   AddProp('TEDIT.OEMCONVERT',TEDITget_OEMCONVERT,TEDITset_OEMCONVERT);
   AddProp('TEDIT.PASSWORDCHAR',TEDITget_PASSWORDCHAR,TEDITset_PASSWORDCHAR);
   AddProp('TEDIT.READONLY',TEDITget_READONLY,TEDITset_READONLY);
   AddFun('TCUSTOMMEMO.CREATE',myTCUSTOMMEMOCREATE,[0]);
   AddProp('TCUSTOMMEMO.LINES',TCUSTOMMEMOget_LINES,TCUSTOMMEMOset_LINES);
   AddProp('TMEMO.ALIGNMENT',TMEMOget_ALIGNMENT,TMEMOset_ALIGNMENT);
   AddProp('TMEMO.SCROLLBARS',TMEMOget_SCROLLBARS,TMEMOset_SCROLLBARS);
   AddProp('TMEMO.WANTRETURNS',TMEMOget_WANTRETURNS,TMEMOset_WANTRETURNS);
   AddProp('TMEMO.WANTTABS',TMEMOget_WANTTABS,TMEMOset_WANTTABS);
   AddProp('TMEMO.WORDWRAP',TMEMOget_WORDWRAP,TMEMOset_WORDWRAP);
{   AddProc('TCUSTOMCOMBOBOX.CREATE',myTCUSTOMCOMBOBOXCREATE,[0]);}
   AddProc('TCUSTOMCOMBOBOX.SELECTALL',myTCUSTOMCOMBOBOXSELECTALL,[2]);
   AddProp('TCUSTOMCOMBOBOX.DROPPEDDOWN',TCUSTOMCOMBOBOXget_DROPPEDDOWN,TCUSTOMCOMBOBOXset_DROPPEDDOWN);
   AddProp('TCUSTOMCOMBOBOX.ITEMS',TCUSTOMCOMBOBOXget_ITEMS,TCUSTOMCOMBOBOXset_ITEMS);
   AddProp('TCUSTOMCOMBOBOX.ITEMINDEX',TCUSTOMCOMBOBOXget_ITEMINDEX,TCUSTOMCOMBOBOXset_ITEMINDEX);
   AddProp('TCUSTOMCOMBOBOX.SELLENGTH',TCUSTOMCOMBOBOXget_SELLENGTH,TCUSTOMCOMBOBOXset_SELLENGTH);
   AddProp('TCUSTOMCOMBOBOX.SELSTART',TCUSTOMCOMBOBOXget_SELSTART,TCUSTOMCOMBOBOXset_SELSTART);
   AddProp('TCUSTOMCOMBOBOX.SELTEXT',TCUSTOMCOMBOBOXget_SELTEXT,TCUSTOMCOMBOBOXset_SELTEXT);
   AddProp('TCOMBOBOX.STYLE',TCOMBOBOXget_STYLE,TCOMBOBOXset_STYLE);
   AddProp('TCOMBOBOX.ITEMHEIGHT',TCOMBOBOXget_ITEMHEIGHT,TCOMBOBOXset_ITEMHEIGHT);
   AddProp('TCOMBOBOX.MAXLENGTH',TCOMBOBOXget_MAXLENGTH,TCOMBOBOXset_MAXLENGTH);
   AddProp('TCOMBOBOX.SORTED',TCOMBOBOXget_SORTED,TCOMBOBOXset_SORTED);
   AddFun('TBUTTON.CREATE',myTBUTTONCREATE,[0]);
   AddProc('TBUTTON.CLICK',myTBUTTONCLICK,[2]);
   AddProp('TBUTTON.CANCEL',TBUTTONget_CANCEL,TBUTTONset_CANCEL);
   AddProp('TBUTTON.DEFAULT',TBUTTONget_DEFAULT,TBUTTONset_DEFAULT);
   AddProp('TBUTTON.MODALRESULT',TBUTTONget_MODALRESULT,TBUTTONset_MODALRESULT);
{   AddProc('TCUSTOMCHECKBOX.CREATE',myTCUSTOMCHECKBOXCREATE,[0]);}
   AddProp('TCHECKBOX.ALIGNMENT',TCHECKBOXget_ALIGNMENT,TCHECKBOXset_ALIGNMENT);
   AddProp('TCHECKBOX.ALLOWGRAYED',TCHECKBOXget_ALLOWGRAYED,TCHECKBOXset_ALLOWGRAYED);
   AddProp('TCHECKBOX.CHECKED',TCHECKBOXget_CHECKED,TCHECKBOXset_CHECKED);
   AddProp('TCHECKBOX.STATE',TCHECKBOXget_STATE,TCHECKBOXset_STATE);
   AddFun('TRADIOBUTTON.CREATE',myTRADIOBUTTONCREATE,[0]);
   AddProp('TRADIOBUTTON.ALIGNMENT',TRADIOBUTTONget_ALIGNMENT,TRADIOBUTTONset_ALIGNMENT);
   AddFun('TCUSTOMLISTBOX.CREATE',myTCUSTOMLISTBOXCREATE,[0]);
   AddProc('TCUSTOMLISTBOX.CLEAR',myTCUSTOMLISTBOXCLEAR,[2]);
{   AddFun('TCUSTOMLISTBOX.ITEMATPOS',myTCUSTOMLISTBOXITEMATPOS,[0,0]);}
{   AddFun('TCUSTOMLISTBOX.ITEMRECT',myTCUSTOMLISTBOXITEMRECT,[0]);}
   AddProp('TCUSTOMLISTBOX.ITEMS',TCUSTOMLISTBOXget_ITEMS,TCUSTOMLISTBOXset_ITEMS);
   AddProp('TCUSTOMLISTBOX.ITEMINDEX',TCUSTOMLISTBOXget_ITEMINDEX,TCUSTOMLISTBOXset_ITEMINDEX);
   AddProp('TCUSTOMLISTBOX.TOPINDEX',TCUSTOMLISTBOXget_TOPINDEX,TCUSTOMLISTBOXset_TOPINDEX);
   AddProp('TLISTBOX.COLUMNS',TLISTBOXget_COLUMNS,TLISTBOXset_COLUMNS);
   AddProp('TLISTBOX.EXTENDEDSELECT',TLISTBOXget_EXTENDEDSELECT,TLISTBOXset_EXTENDEDSELECT);
   AddProp('TLISTBOX.INTEGRALHEIGHT',TLISTBOXget_INTEGRALHEIGHT,TLISTBOXset_INTEGRALHEIGHT);
   AddProp('TLISTBOX.ITEMHEIGHT',TLISTBOXget_ITEMHEIGHT,TLISTBOXset_ITEMHEIGHT);
   AddProp('TLISTBOX.MULTISELECT',TLISTBOXget_MULTISELECT,TLISTBOXset_MULTISELECT);
   AddProp('TLISTBOX.SORTED',TLISTBOXget_SORTED,TLISTBOXset_SORTED);
   AddProp('TLISTBOX.STYLE',TLISTBOXget_STYLE,TLISTBOXset_STYLE);
   AddProp('TLISTBOX.TABWIDTH',TLISTBOXget_TABWIDTH,TLISTBOXset_TABWIDTH);
   AddFun('TSCROLLBAR.CREATE',myTSCROLLBARCREATE,[0]);
   AddProp('TSCROLLBAR.KIND',TSCROLLBARget_KIND,TSCROLLBARset_KIND);
   AddProp('TSCROLLBAR.LARGECHANGE',TSCROLLBARget_LARGECHANGE,TSCROLLBARset_LARGECHANGE);
   AddProp('TSCROLLBAR.MAX',TSCROLLBARget_MAX,TSCROLLBARset_MAX);
   AddProp('TSCROLLBAR.MIN',TSCROLLBARget_MIN,TSCROLLBARset_MIN);
   AddProp('TSCROLLBAR.POSITION',TSCROLLBARget_POSITION,TSCROLLBARset_POSITION);
   AddProp('TSCROLLBAR.SMALLCHANGE',TSCROLLBARget_SMALLCHANGE,TSCROLLBARset_SMALLCHANGE);

   AddConst('taLeftJustify',taLeftJustify);
   AddConst('taCenter',taCenter);
   AddConst('taRightJustify',taRightJustify);
   AddConst('ecUpperCase',ecUpperCase);
   AddConst('ecLowerCase',ecLowerCase);
   AddConst('ecNormal',ecNormal);
   AddConst('ssNone',ssNone);
   AddConst('ssHorizontal',ssHorizontal);
   AddConst('ssVertical',ssVertical);
   AddConst('ssBoth',ssBoth);
   AddConst('csDropDown',csDropDown);
   AddConst('csSimple',csSimple);
   AddConst('csDropDownList',csDropDownList);
   AddConst('csOwnerDrawFixed',csOwnerDrawFixed);
   AddConst('csOwnerDrawVariable',csOwnerDrawVariable);
   AddConst('cbUnchecked',cbUnchecked);
   AddConst('cbChecked',cbChecked);
   AddConst('cbGrayed',cbGrayed);
   AddConst('lbStandard',lbStandard);
   AddConst('lbOwnerDrawFixed',lbOwnerDrawFixed);
   AddConst('lbOwnerDrawVariable',lbOwnerDrawVariable); 
end;

initialization StdCtrlsHalInit;
 RegisterClasses([
 TMEmo,TEdit,Tlabel,TButton,TComboBox,TScrollBar,TListBox,TCustomListBox,
 TRadioButton,TCheckBox,TCUSTOMCOMBOBOX,TButton,TCUSTOMEDIT,TGROUPBOX,
 TCUSTOMLABEL
 ]);
End.
